Page MenuHomePhabricator

Qualifiers property autocomplete doesn't work on beta
Closed, ResolvedPublic

Description

We have this:

Qualifier properties are now an autocomplete input field, but the autocomplete doesn't work on beta (will also be an issue in production)
This is because the search API call is directed towards commonswiki, but it should go directly to wikidata.

We want this:

Qualifiers properties autocomplete just fine.

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

  • Add a qualifier
  • Start typing characters for the property
  • Notice that it autocompletes, with results

QA Results

ACStatusDetails
1T226103#5298764

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 19 2019, 1:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 517857 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Call the correct class's constructor

https://gerrit.wikimedia.org/r/517857

Change 517857 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Call the correct class's constructor

https://gerrit.wikimedia.org/r/517857

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jun 25 2019, 2:57 PM
Ramsey-WMF moved this task from To Do to Doing on the Structured Data Engineering board.
Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jul 2 2019, 12:08 AM
Edtadros added subscribers: Ramsey-WMF, Edtadros.

Test Result

Status: ❓ Need more info
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

❓ AC1: Add a qualifier
Start typing characters for the property
Notice that it autocompletes, with results

@Ramsey-WMF , is this the behavior in that you are expecting? I wasn't sure if you were expecting the autocomplete to actually populate the qualifier field (with the remaining characters greyed) rather than just the search drop down. If this looks right I'll update the test to passing.

Edtadros updated the task description. (Show Details)Jul 2 2019, 12:09 AM
Edtadros updated the task description. (Show Details)
Ramsey-WMF closed this task as Resolved.Jul 29 2019, 4:30 PM